//This program uses a set of commands to alternate LEDs and read the values of the photoresistor, then turn on and off LEDs as a result.
//by LazerByte
/*
*Here is the circuit:
*
*attatch a photosensitive resistor to 3.3v and analog A0
*attatch a 5K potentiometer to A0 and GND
*attatch LEDs to pins 8,9,10,11 
*attatch another set of LEDs to pins 2,3,4
*attatch one more LED to 12
*be sure to attatch all LEDs to ground
*/

//set up all the variables:
int timing = 500;
int recharge = 1000;
int sensorPin = A0;
int sensorValue = 0;
int led = 8;  //four red LEDs to blink in a pattern
int led2 = 9;
int led3 = 10;
int led4 = 11;
int hitLed0 = 12;  //a green or blue LED to signal a hit from a laser beam
int hitLed = 2;   //a set of three green LEDs to show "recharge"
int hitLed2 = 3;
int hitLed3 = 4;

// the setup routine runs once when you press reset or turn on the LEDs:
void setup() {                
  // initialize the digital pin as an output:
  pinMode(led, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);
  pinMode(led4, OUTPUT);  
  pinMode(hitLed0, OUTPUT);
  pinMode(hitLed, OUTPUT);
  pinMode(hitLed2, OUTPUT);
  pinMode(hitLed3, OUTPUT);
}

void sensor(){  //this is the part of the program that senses the light
    sensorValue = analogRead(sensorPin);
  if(sensorValue > 400){  //change the number to increase/decrease sensitivity
  digitalWrite(hitLed0, HIGH);  //blink LEDs in response to high light level
  digitalWrite(led, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(recharge);
  digitalWrite(hitLed, HIGH);
  delay(recharge);
  digitalWrite(hitLed2, HIGH);
  delay(recharge);
  digitalWrite(hitLed3, HIGH);
  delay(recharge);
  digitalWrite(hitLed0, LOW);
  digitalWrite(hitLed, LOW);
  digitalWrite(hitLed2, LOW);
  digitalWrite(hitLed3, LOW);
  }
  else{
  digitalWrite(led, LOW);
  }
}

//this part of the program that makes the LEDs blink
// the loop routine runs over and over again forever
void loop() {
  digitalWrite(led, HIGH);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(timing);          
  sensor();
  digitalWrite(led, LOW);
  digitalWrite(led2, HIGH);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(timing); 
  sensor();
  digitalWrite(led, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, HIGH);
  digitalWrite(led4, LOW);
  delay(timing); 
  sensor();
  digitalWrite(led, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, HIGH);
  delay(timing); 
  sensor();
  //New Pattern
  digitalWrite(led, HIGH);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(timing);
  sensor();  
  digitalWrite(led, HIGH);
  digitalWrite(led2, HIGH);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(timing); 
  sensor();
  digitalWrite(led, HIGH);
  digitalWrite(led2, HIGH);
  digitalWrite(led3, HIGH);
  digitalWrite(led4, LOW);
  delay(timing); 
  sensor();
  digitalWrite(led, HIGH);
  digitalWrite(led2, HIGH);
  digitalWrite(led3, HIGH);
  digitalWrite(led4, HIGH);
  delay(timing); 
  sensor();
  //New Pattern
  digitalWrite(led, LOW);
  digitalWrite(led2, HIGH);
  digitalWrite(led3, HIGH);
  digitalWrite(led4, HIGH);
  delay(timing);
  sensor();  
  digitalWrite(led, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, HIGH);
  digitalWrite(led4, HIGH);
  delay(timing); 
  sensor();
  digitalWrite(led, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, HIGH);
  delay(timing); 
  sensor();
  digitalWrite(led, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(timing);
  sensor();
}
